//
//  AccessoryVC.h
//  RN-iAP
//
//  Created by Phillip Corrigan on 7/18/10.
//  Copyright 2010 Roving Networks, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <ExternalAccessory/ExternalAccessory.h>


@interface AccessoryVC : UIViewController
{
	UIImageView *_statusGroup;
	UIImageView *_group1;
	UIImageView *_group2;
	UILabel *_protocolLabel;
	UILabel *_statusLabel;
	UITextView *_textView;
}
@property (nonatomic, retain) IBOutlet UIImageView *group1;
@property (nonatomic, retain) IBOutlet UIImageView *group2;
@property (nonatomic, retain) IBOutlet UIImageView *statusGroup;
@property (nonatomic, retain) IBOutlet UILabel *protocolLabel;
@property (nonatomic, retain) IBOutlet UILabel *statusLabel;
@property (nonatomic, retain) IBOutlet UITextView *textView;

- (void)showNoConnectionAlert;
- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex;
- (void)appendData:(NSString *)data;
- (IBAction)doProtocolInfo:(id)sender;

- (void)_accessoryConnected:(NSNotification *)notification;
- (void)_accessoryDisconnected:(NSNotification *)notification;

@end
